Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class TableConverter.SingleTableConverter

    java.lang.Object
      writer2latex.latex.TableConverter.SingleTableConverter

Enclosing class:
  TableConverter

    private class TableConverter.SingleTableConverter

extends java.lang.Object

Field Summary
`private BeforeAfter` | `baTable`
`private BeforeAfter` | `baTableAlign`
`private boolean` | `bCaptionAbove`
`private org.w3c.dom.Element` | `caption`
`private TableFormatter` | `formatter`
`private TableReader` | `table`

Constructor Summary
`private` | `TableConverter.SingleTableConverter()`

Method Summary
`private void` | `handleBodyRows(LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleCaption(java.lang.String sCommand, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleHeaderRows(LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleHyperTarget(LaTeXDocumentPortion ldp)`
`private void` | `handleLongtable(LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleRows(int nStart, int nEnd, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleSupertabular(LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleTable(org.w3c.dom.Element node, org.w3c.dom.Element caption, boolean bCaptionAbove, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleTableFloat(LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleTabular(LaTeXDocumentPortion ldp, Context oc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    private TableReader table

### formatter

    private TableFormatter formatter

### caption

    private org.w3c.dom.Element caption

### bCaptionAbove

    private boolean bCaptionAbove

### baTable

    private BeforeAfter baTable

### baTableAlign

    private BeforeAfter baTableAlign

Constructor Detail

### TableConverter.SingleTableConverter

    private TableConverter.SingleTableConverter()

Method Detail

### handleTable

    private void handleTable(org.w3c.dom.Element node,
                             org.w3c.dom.Element caption,
                             boolean bCaptionAbove,
                             LaTeXDocumentPortion ldp,
                             Context oc)

### handleSupertabular

    private void handleSupertabular(LaTeXDocumentPortion ldp,
                                    Context oc)

### handleLongtable

    private void handleLongtable(LaTeXDocumentPortion ldp,
                                 Context oc)

### handleTableFloat

    private void handleTableFloat(LaTeXDocumentPortion ldp,
                                  Context oc)

### handleTabular

    private void handleTabular(LaTeXDocumentPortion ldp,
                               Context oc)

### handleCaption

    private void handleCaption(java.lang.String sCommand,
                               LaTeXDocumentPortion ldp,
                               Context oc)

### handleHyperTarget

    private void handleHyperTarget(LaTeXDocumentPortion ldp)

### handleHeaderRows

    private void handleHeaderRows(LaTeXDocumentPortion ldp,
                                  Context oc)

### handleBodyRows

    private void handleBodyRows(LaTeXDocumentPortion ldp,
                                Context oc)

### handleRows

    private void handleRows(int nStart,
                            int nEnd,
                            LaTeXDocumentPortion ldp,
                            Context oc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD